Project

General

Profile

Bug #28752

Bug #28714: custom products can't be consumed by hosts

Subscription manager issue Centos 8 - rhsm.certificate.CertificateException: String does not contain a date.

Added by Michael Lowe over 2 years ago. Updated over 2 years ago.

Status:
Duplicate
Priority:
Normal
Assignee:
-
Category:
Subscriptions
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Have added repo to client subscription. When running subscription-manager on host (with debug) received the following:

2020-01-15 12:24:46,398 [ERROR] subscription-manager:8907:MainThread @certificate2.py:112 - String does not contain a date.
Traceback (most recent call last):
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 107, in _read_x509
return self._create_v3_cert(version, extensions, x509, path, pem)
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 309, in _create_v3_cert
end=get_datetime_from_x509(x509.get_not_after()),
File "/usr/lib64/python3.6/site-packages/rhsm/certificate.py", line 90, in get_datetime_from_x509
return dateutil.parser.parse(date)
File "/usr/lib/python3.6/site-packages/dateutil/parser.py", line 1182, in parse
return DEFAULTPARSER.parse(timestr, **kwargs)
File "/usr/lib/python3.6/site-packages/dateutil/parser.py", line 562, in parse
raise ValueError("String does not contain a date.")
ValueError: String does not contain a date.
2020-01-15 12:24:46,399 [ERROR] subscription-manager:8907:MainThread @entcertlib.py:404 - String does not contain a date.
Traceback (most recent call last):
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 107, in _read_x509
return self._create_v3_cert(version, extensions, x509, path, pem)
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 309, in _create_v3_cert
end=get_datetime_from_x509(x509.get_not_after()),
File "/usr/lib64/python3.6/site-packages/rhsm/certificate.py", line 90, in get_datetime_from_x509
return dateutil.parser.parse(date)
File "/usr/lib/python3.6/site-packages/dateutil/parser.py", line 1182, in parse
return DEFAULTPARSER.parse(timestr, **kwargs)
File "/usr/lib/python3.6/site-packages/dateutil/parser.py", line 562, in parse
raise ValueError("String does not contain a date.")
ValueError: String does not contain a date.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib64/python3.6/site-packages/subscription_manager/entcertlib.py", line 377, in install
key, cert = self.build_cert(bundle)
File "/usr/lib64/python3.6/site-packages/subscription_manager/entcertlib.py", line 398, in build_cert
cert = create_from_pem(crtpem)
File "/usr/lib64/python3.6/site-packages/rhsm/certificate.py", line 61, in create_from_pem
return _CertFactory().create_from_pem(pem)
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 82, in create_from_pem
return self._read_x509(_certificate.load(pem=pem), path, pem)
File "/usr/lib64/python3.6/site-packages/rhsm/certificate2.py", line 113, in _read_x509
raise CertificateException(str(e))
rhsm.certificate.CertificateException: String does not contain a date.
2020-01-15 12:24:46,400 [ERROR] subscription-manager:8907:MainThread @entcertlib.py:405 - Bundle not loaded:

and repo entry not created.

On host:

  1. rpm -qa | grep 'rhn\|subsc'
    subscription-manager-rhsm-certificates-1.23.8-35.el8.x86_64
    python3-rhnlib-2.8.6-8.module_el8.0.0+180+337688dc.noarch
    dnf-plugin-subscription-manager-1.23.8-35.el8.x86_64
    python3-rhn-client-tools-2.8.16-13.module_el8.0.0+180+337688dc.x86_64
    python3-subscription-manager-rhsm-1.23.8-35.el8.x86_64
    rhn-client-tools-2.8.16-13.module_el8.0.0+180+337688dc.x86_64
    subscription-manager-1.23.8-35.el8.x86_64
On Server:
  1. rpm -qa | grep candle
    candlepin-selinux-2.9.14-1.el7.noarch
    candlepin-2.9.14-1.el7.noarch

Thanks

History

#1 Updated by Michael Lowe over 2 years ago

  • Found in Releases Katello 3.14.0 added
  • Fixed in Releases deleted (Katello 3.14.1)

#2 Updated by Chris Roberts over 2 years ago

  • Triaged changed from No to Yes
  • Parent task set to #28714
  • Target version set to Katello Recycle Bin
  • Status changed from New to Duplicate

Closed as a duplicate of:

28714

Also available in: Atom PDF